#include<bits/stdc++.h>
using namespace std;
int main(){
    unsigned long long n, x, rez=0;
    cin>>n>>x;
    unsigned long long int a[n]
    unsigned long long najv=-100000000, najm=100000000;
    bool levo=false, desno =false
    for(int i=0;i<n;i++){
        cin>>a[i];
        if(a[i]<x){
            levo=true;
        }
        if(a[i]>x){
            desno=true;
        }
        if(a[i]>najv){
            najv=a[i];
        }
        if(a[i]<najm){
            najm=a[i];
        }
    }
    if(levo==true&&desno==false){
        rez=x-najm;
    }
    if(levo==false&&desno==true){
        rez=najv-x;
    }
    if(levo==true&&desno==true){
        if(najv-x>=x-najm){
            rez=(najv-x)-2*(x-najm);
        }
        else{
            rez=2*(najv-x)-(x-najm);
        }
    }
    cout<<rez<<endl;
    return 0;
}